> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysiren.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Provider Integration

> API to delete an existing provider integration from Siren

## Header

<ParamField header="Authorization" type="string" required={true} description="Bearer token for API authentication. Format: `Bearer {{apiToken}}" />

<ParamField header="Content-Type" type="string" required={true} description="Must be set to `application/json`" />

## Path Parameters

<ParamField name="providerId" path="providerId" type="string" required={true} description="Unique identifier of the provider integration to delete" />

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Provider integration deleted successfully",
    "data": {
      "id": "a8f39791-60ec-45a6-beb9-ead8f8d859af",
      "name": "provider-integrations-name",
      "providerCode": "SLACK"
    }
  }
  ```
</ResponseExample>

## Status Codes

`200` - OK: Provider integration deleted successfully\
`401` - Unauthorized: Invalid or missing authentication\
`404` - Not Found: Provider integration not found\
`500` - Internal Server Error: Failed to delete provider integration

## cURL Example

```bash theme={null}
curl --location --request DELETE 'https://api.trysiren.io/api/v1/public/provider-integrations/a8f39791-60ec-45a6-beb9-ead8f8d859af' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer bd9d07a8073a41eca003e5f0a841db7c'
```
